1. Bot Styles
NotifyMe
  • Introduction
  • Authentication
  • API Reference
    • Accounts
      • List accounts
      • Add account
      • Edit account
      • Delete account
      • Test notification
      • Force notification
    • Embeds
      • List embeds
      • Create embed
      • Edit embed
      • Delete embed
    • Bot Styles
      • List bot styles
        GET
      • Create bot style
        POST
      • Edit bot style
        PATCH
      • Delete bot style
        DELETE
Discord BotManagement API
Legal
Discord BotManagement API
Legal
  1. Bot Styles

Edit bot style

Developing
PATCH
https://public-api.notifyme.bot/v1/management/bot-styles
Rate Limit:5 req/sec

Request

Authorization
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
Query Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠404Not Found
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://public-api.notifyme.bot/v1/management/bot-styles?server_id=1044159651178094592&platform=youtube&bot_style_internal_id=a5b3df13-26bc-4655-bdf4-625fec0eb3bc' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "bot_style_name": "string",
    "username": "string",
    "profile_picture": "https://img.notifymebot.com/1044059723714011196/555c630b-5a40-4c4b-94b8-540f486157f5.jpg"
}'
Response Response Example
200 - Success
{
    "status": true
}
Previous
Create bot style
Next
Delete bot style
Built with